## org.eclipse.datatools.modelbase.dbdefinition.util
Class DatabaseDefinitionSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.dbdefinition.util.DatabaseDefinitionSwitch

public class DatabaseDefinitionSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `DatabaseDefinitionPackage`

Constructor Summary
`DatabaseDefinitionSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseColumnDefinition(ColumnDefinition object)` Returns the result of interpretting the object as an instance of 'Column Definition'.
`java.lang.Object` `caseConstraintDefinition(ConstraintDefinition object)` Returns the result of interpretting the object as an instance of 'Constraint Definition'.
`java.lang.Object` `caseDatabaseVendorDefinition(DatabaseVendorDefinition object)` Returns the result of interpretting the object as an instance of 'Database Vendor Definition'.
`java.lang.Object` `caseDebuggerDefinition(DebuggerDefinition object)` Returns the result of interpretting the object as an instance of 'Debugger Definition'.
`java.lang.Object` `caseExtendedDefinition(ExtendedDefinition object)` Returns the result of interpretting the object as an instance of 'Extended Definition'.
`java.lang.Object` `caseFieldQualifierDefinition(FieldQualifierDefinition object)` Returns the result of interpretting the object as an instance of 'Field Qualifier Definition'.
`java.lang.Object` `caseIndexDefinition(IndexDefinition object)` Returns the result of interpretting the object as an instance of 'Index Definition'.
`java.lang.Object` `caseNicknameDefinition(NicknameDefinition object)` Returns the result of interpretting the object as an instance of 'Nickname Definition'.
`java.lang.Object` `casePredefinedDataTypeDefinition(PredefinedDataTypeDefinition object)` Returns the result of interpretting the object as an instance of 'Predefined Data Type Definition'.
`java.lang.Object` `caseQueryDefinition(QueryDefinition object)` Returns the result of interpretting the object as an instance of 'Query Definition'.
`java.lang.Object` `caseSchemaDefinition(SchemaDefinition object)` Returns the result of interpretting the object as an instance of 'Schema Definition'.
`java.lang.Object` `caseSequenceDefinition(SequenceDefinition object)` Returns the result of interpretting the object as an instance of 'Sequence Definition'.
`java.lang.Object` `caseSQLSyntaxDefinition(SQLSyntaxDefinition object)` Returns the result of interpretting the object as an instance of 'SQL Syntax Definition'.
`java.lang.Object` `caseStoredProcedureDefinition(StoredProcedureDefinition object)` Returns the result of interpretting the object as an instance of 'Stored Procedure Definition'.
`java.lang.Object` `caseTableDefinition(TableDefinition object)` Returns the result of interpretting the object as an instance of 'Table Definition'.
`java.lang.Object` `caseTableSpaceDefinition(TableSpaceDefinition object)` Returns the result of interpretting the object as an instance of 'Table Space Definition'.
`java.lang.Object` `caseTriggerDefinition(TriggerDefinition object)` Returns the result of interpretting the object as an instance of 'Trigger Definition'.
`java.lang.Object` `caseUserDefinedTypeDefinition(UserDefinedTypeDefinition object)` Returns the result of interpretting the object as an instance of 'User Defined Type Definition'.
`java.lang.Object` `caseViewDefinition(ViewDefinition object)` Returns the result of interpretting the object as an instance of 'View Definition'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseDefinitionSwitch

    public DatabaseDefinitionSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseDatabaseVendorDefinition

    public java.lang.Object caseDatabaseVendorDefinition(DatabaseVendorDefinition object)

  Returns the result of interpretting the object as an instance of 'Database Vendor Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Database Vendor Definition'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedDataTypeDefinition

    public java.lang.Object casePredefinedDataTypeDefinition(PredefinedDataTypeDefinition object)

  Returns the result of interpretting the object as an instance of 'Predefined Data Type Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Data Type Definition'.
  See Also:
    `doSwitch(EObject)`

### caseTableSpaceDefinition

    public java.lang.Object caseTableSpaceDefinition(TableSpaceDefinition object)

  Returns the result of interpretting the object as an instance of 'Table Space Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Space Definition'.
  See Also:
    `doSwitch(EObject)`

### caseStoredProcedureDefinition

    public java.lang.Object caseStoredProcedureDefinition(StoredProcedureDefinition object)

  Returns the result of interpretting the object as an instance of 'Stored Procedure Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Stored Procedure Definition'.
  See Also:
    `doSwitch(EObject)`

### caseTriggerDefinition

    public java.lang.Object caseTriggerDefinition(TriggerDefinition object)

  Returns the result of interpretting the object as an instance of 'Trigger Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Trigger Definition'.
  See Also:
    `doSwitch(EObject)`

### caseColumnDefinition

    public java.lang.Object caseColumnDefinition(ColumnDefinition object)

  Returns the result of interpretting the object as an instance of 'Column Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Column Definition'.
  See Also:
    `doSwitch(EObject)`

### caseConstraintDefinition

    public java.lang.Object caseConstraintDefinition(ConstraintDefinition object)

  Returns the result of interpretting the object as an instance of 'Constraint Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Constraint Definition'.
  See Also:
    `doSwitch(EObject)`

### caseIndexDefinition

    public java.lang.Object caseIndexDefinition(IndexDefinition object)

  Returns the result of interpretting the object as an instance of 'Index Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Index Definition'.
  See Also:
    `doSwitch(EObject)`

### caseExtendedDefinition

    public java.lang.Object caseExtendedDefinition(ExtendedDefinition object)

  Returns the result of interpretting the object as an instance of 'Extended Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Extended Definition'.
  See Also:
    `doSwitch(EObject)`

### caseTableDefinition

    public java.lang.Object caseTableDefinition(TableDefinition object)

  Returns the result of interpretting the object as an instance of 'Table Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Table Definition'.
  See Also:
    `doSwitch(EObject)`

### caseSequenceDefinition

    public java.lang.Object caseSequenceDefinition(SequenceDefinition object)

  Returns the result of interpretting the object as an instance of 'Sequence Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Sequence Definition'.
  See Also:
    `doSwitch(EObject)`

### caseUserDefinedTypeDefinition

    public java.lang.Object caseUserDefinedTypeDefinition(UserDefinedTypeDefinition object)

  Returns the result of interpretting the object as an instance of 'User Defined Type Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'User Defined Type Definition'.
  See Also:
    `doSwitch(EObject)`

### caseQueryDefinition

    public java.lang.Object caseQueryDefinition(QueryDefinition object)

  Returns the result of interpretting the object as an instance of 'Query Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Query Definition'.
  See Also:
    `doSwitch(EObject)`

### caseSQLSyntaxDefinition

    public java.lang.Object caseSQLSyntaxDefinition(SQLSyntaxDefinition object)

  Returns the result of interpretting the object as an instance of 'SQL Syntax Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Syntax Definition'.
  See Also:
    `doSwitch(EObject)`

### caseNicknameDefinition

    public java.lang.Object caseNicknameDefinition(NicknameDefinition object)

  Returns the result of interpretting the object as an instance of 'Nickname Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Nickname Definition'.
  See Also:
    `doSwitch(EObject)`

### caseSchemaDefinition

    public java.lang.Object caseSchemaDefinition(SchemaDefinition object)

  Returns the result of interpretting the object as an instance of 'Schema Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Schema Definition'.
  See Also:
    `doSwitch(EObject)`

### caseViewDefinition

    public java.lang.Object caseViewDefinition(ViewDefinition object)

  Returns the result of interpretting the object as an instance of 'View Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'View Definition'.
  See Also:
    `doSwitch(EObject)`

### caseFieldQualifierDefinition

    public java.lang.Object caseFieldQualifierDefinition(FieldQualifierDefinition object)

  Returns the result of interpretting the object as an instance of 'Field Qualifier Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Field Qualifier Definition'.
  See Also:
    `doSwitch(EObject)`

### caseDebuggerDefinition

    public java.lang.Object caseDebuggerDefinition(DebuggerDefinition object)

  Returns the result of interpretting the object as an instance of 'Debugger Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Debugger Definition'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.